import sqlite3

con = sqlite3.connect('fluctuations.db')
cur = con.cursor()
data = cur.execute('''SELECT year, MAX(ROUND(cost*1.0/quantity, 2)) as price FROM Transactions
JOIN Owners ON Owners.code = Transactions.owner_code
JOIN Wealth ON Wealth.code = Transactions.wealth_code
JOIN Creatures ON Creatures.code = Owners.view_code
JOIN Operations ON Operations.code = Transactions.operation_code
WHERE Creatures.creature = 'dwarf' AND Operations.operation = 'sale' AND Wealth.variety = 'gold'
AND Transactions.year >= 1800 AND Transactions.year <= 1900
GROUP BY year
ORDER BY year;
''').fetchall()
print(*data)
